<div class="summary-header">
  <img class="profile" src="{{actor.img}}" data-edit="img">

  <div class="flexcol basic-info">
    <div class="flexrow name-xp">
      <h1 class="char-name">
        <input name="name" type="text" value="{{actor.name}}" placeholder="{{localize "PF1.CharacterName"}}" data-tooltip="PF1.CharacterName">
      </h1>

      {{> "systems/pf1/templates/actors/parts/actor-level.hbs"}}
    </div>

    {{!-- Character Summary --}}
    <div class="character-summary flexrow">
      <div>
        <input type="text" name="system.details.gender" value="{{system.details.gender}}" placeholder="{{localize "PF1.Gender"}}" data-tooltip="PF1.Gender">
      </div>
      <div>
        <input type="text" name="system.details.deity" value="{{system.details.deity}}" placeholder="{{localize "PF1.Deity"}}" data-tooltip="PF1.Deity">
      </div>
      <div>
        <input type="text" name="system.details.age" value="{{system.details.age}}" placeholder="{{localize "PF1.Age"}}" data-tooltip="PF1.Age">
      </div>
      <div>
        <input type="text" name="system.details.height" value="{{system.details.height}}" placeholder="{{localize "PF1.Height"}}" data-tooltip="PF1.Height">
      </div>
      <div>
        <input type="text" name="system.details.weight" value="{{system.details.weight}}" placeholder="{{localize "PF1.Weight"}}" data-tooltip="PF1.Weight">
      </div>

      {{!-- Alignment --}}
      <div class="controls alignment flexrow" data-tooltip="PF1.Alignment">
        {{#if labels.alignment}}<span>{{labels.alignment}}</span>{{else}}<span class="placeholder">{{localize "PF1.Alignment"}}</span>{{/if}}
        <a class="control alignment"><i class="fas fa-cog"></i></a>
      </div>
    </div>

    <div class="flexrow">
      {{! Race }}
      <div class="race item flexrow" {{#if race}}data-item-id="{{race._id}}"{{/if}} data-tooltip="PF1.Race">
        <div class="race item-image rollable" style='background-image: url("{{race.img}}")' data-tooltip="PF1.DisplayInChat">
          {{#unless race}}{{localize "PF1.Race"}}{{/unless}}
        </div>

        <div class="item-controls flexcol">
          {{#if @root.owner}}
          {{#if race}}
          <a class="item-control item-edit" data-tooltip="PF1.EditItem"><i class="fas fa-edit"></i></a>
          <a class="item-control item-delete" data-tooltip="PF1.DeleteItem"><i class="fas fa-trash"></i></a>
          {{else}}
          <a class="item-control item-create" data-tooltip="PF1.CreateItem" data-create="misc.race"><i class="fas fa-plus"></i></a>
          <a data-action="compendium" data-action-target="races" data-tooltip="PF1.OpenCompendium"><i class="fas fa-folder-plus"></i></a>
          {{/if}}
          {{/if}}
        </div>

        <div class="info">
          {{#if race}}
          <h4>{{race.name}}</h4>
          <div class="tag-list">
            <span class="tag type3">{{lookup config.creatureTypes race.system.creatureType}}</span>
            {{#each race.system.subTypes as |v|}}
            <span class="tag">{{v}}</span>
            {{/each}}
          </div>
          {{/if}}
        </div>
      </div>
      <div class="flexrow item-list misc-header-items">
        {{!-- Rest --}}
        <div class="actor-quick-actions">
          <button type="button" class="rest"><i class="fas fa-bed"></i> {{localize "PF1.Rest"}}</button>
        </div>
      </div>
    </div>
  </div>
</div>

{{!-- Header Attributes --}}
<div class="attributes flexrow">
  {{#unless useWoundsAndVigor}}
  <div class="info-box-header health-details" data-tooltip-extended="hit-points">
    <h3>{{localize "PF1.HitPoints"}}</h3>

    <div class="info-box-joined tooltip">
      <div class="info-box current">
        <h5>{{localize "PF1.Current"}}</h5>
        <span class="value text-box direct wheel-change allow-relative hp-current-input" name="system.attributes.hp.value" data-dtype="Number">{{system.attributes.hp.value}}</span>
      </div>
      <div class="info-box maximum">
        <h5>{{localize "PF1.Maximum"}}</h5>
        <span class="value text-box readonly hp-max">{{system.attributes.hp.max}}</span>
      </div>
      <div class="info-box temp">
        <h5>{{localize "PF1.TempShort"}}</h5>
        <span class="value text-box direct allow-relative hp-temp-input" name="system.attributes.hp.temp" data-dtype="Number">{{#if system.attributes.hp.temp}}{{system.attributes.hp.temp}}{{/if}}</span>
      </div>
      <div class="info-box nonlethal">
        <h5>{{localize "PF1.Nonlethal"}}</h5>
        <span class="value text-box direct allow-relative hp-nonlethal-input" name="system.attributes.hp.nonlethal" data-dtype="Number">{{#if system.attributes.hp.nonlethal}}{{system.attributes.hp.nonlethal}}{{/if}}</span>
      </div>
    </div>
  </div>
  {{else}}
  {{!-- Wounds & Vigor --}}
  <div class="wounds-vigor health-details flexrow">
    {{!-- Vigor --}}
    <div class="info-box-header vigor" data-tooltip-extended="vigor">
      <h3>{{localize "PF1.Vigor"}}</h3>
      <div class="info-box-joined health-details vigor tooltip">

        <div class="info-box current">
          <h5>{{localize "PF1.Current"}}</h5>
          <span class="value text-box direct allow-relative vigor-current-input" name="system.attributes.vigor.value" data-dtype="Number">
            {{system.attributes.vigor.value}}
          </span>
        </div>

        <div class="info-box current">
          <h5>{{localize "PF1.Maximum"}}</h5>
          <span class="value text-box readonly">{{system.attributes.vigor.max}}</span>
        </div>

        <div class="info-box current">
          <h5>{{localize "PF1.TempShort"}}</h5>
          <span class="value text-box direct allow-relative vigor-temp-input" name="system.attributes.vigor.temp" data-dtype="Number">
            {{#if system.attributes.vigor.temp}}{{system.attributes.vigor.temp}}{{/if}}
          </span>
        </div>
      </div>
    </div>

    {{!-- Wounds --}}
    <div class="info-box-header wounds" data-tooltip-extended="wounds">
      <h3>{{localize "PF1.Wounds"}}</h3>
      <div class="info-box-joined health-details wounds tooltip">

        <div class="info-box current">
          <h5>{{localize "PF1.Current"}}</h5>
          <span class="value text-box direct allow-relative wounds-current-input" name="system.attributes.wounds.value" data-dtype="Number">
            {{system.attributes.wounds.value}}
          </span>
        </div>

        <div class="info-box current">
          <h5>{{localize "PF1.Maximum"}}</h5>
          <span class="value text-box readonly">{{system.attributes.wounds.max}}</span>
        </div>
      </div>
    </div>
  </div>
  {{/unless}}

  {{! Movement }}
  <div class="info-box-header speed-details flexcol">
    <h3>{{localize "PF1.Movement.Speed"}}</h3>
    <div class="info-box-joined">
      <div class="info-box land" data-tooltip-extended="speed.land">
        <h5>{{localize "PF1.Movement.Mode.land"}}</h5>
        <span class="value text-box direct speed" name="system.attributes.speed.land.base" data-dtype="Number">
          {{#if system.attributes.speed.land.total}}{{convertDistance system.attributes.speed.land.total}}{{/if}}
        </span>
      </div>
      <div class="info-box climb" data-tooltip-extended="speed.climb">
        <h5>{{localize "PF1.Movement.Mode.climb"}}</h5>
        <span class="value text-box direct speed" name="system.attributes.speed.climb.base" data-dtype="Number">
          {{#if system.attributes.speed.climb.total}}{{convertDistance system.attributes.speed.climb.total}}{{/if}}
        </span>
      </div>
      <div class="info-box swim" data-tooltip-extended="speed.swim">
        <h5>{{localize "PF1.Movement.Mode.swim"}}</h5>
        <span class="value text-box direct speed" name="system.attributes.speed.swim.base" data-dtype="Number">
          {{#if system.attributes.speed.swim.total}}{{convertDistance system.attributes.speed.swim.total}}{{/if}}
        </span>
      </div>
      <div class="info-box burrow" data-tooltip-extended="speed.burrow">
        <h5>{{localize "PF1.Movement.Mode.burrow"}}</h5>
        <span class="value text-box direct speed" name="system.attributes.speed.burrow.base" data-dtype="Number">
          {{#if system.attributes.speed.burrow.total}}{{convertDistance system.attributes.speed.burrow.total}}{{/if}}
        </span>
      </div>

      {{! Fly }}
      <div class="info-box fly" data-tooltip-extended="speed.fly">
        <h5>{{localize "PF1.Movement.Mode.fly"}}</h5>
        <span class="value text-box direct speed" name="system.attributes.speed.fly.base" data-dtype="Number">
          {{#if system.attributes.speed.fly.total}}{{convertDistance system.attributes.speed.fly.total}}{{/if}}
        </span>
      </div>

      <div class="info-box maneuverability-details" data-tooltip-extended="flyManeuverability">
        <h5>{{localize "PF1.Movement.FlyManeuverability.Abbr"}}</h5>
        <span class="value">
          <select name="system.attributes.speed.fly.maneuverability">
            {{selectOptions config.flyManeuverabilities selected=system.attributes.speed.fly.maneuverability}}
          </select>
        </span>
      </div>
    </div>
  </div>
</div>

{{!-- Footer --}}

<section class="subdetails-body">
  <div class="quick-info">
    <div class="flexcol">
      {{!-- Display Defenses --}}
      <li class="generic-defenses flexrow" data-drag="defenses">
        <h3>
          <i class="fa-solid fa-dice-d20 rollable"></i>
          {{localize "PF1.Defenses"}}
        </h3>
      </li>

      {{> "systems/pf1/templates/actors/parts/actor-defenses_tables.hbs"}}

      <div class="combat-stats">
        {{! BAB }}
        <div class="info-box attribute bab" data-attribute="bab" data-tooltip-extended="bab">
          <h5><a class="rollable"><i class="fas fa-dice"></i> <span>{{localize "PF1.BABAbbr"}}</span></a></h5>
          <span class="value">{{numberFormat system.attributes.bab.total sign=true}}</span>
        </div>

        {{! CMB }}
        <div class="info-box attribute attack cmb" data-attribute="cmb" data-tooltip-extended="cmb">
          <h5><a class="rollable"><i class="fas fa-dice"></i><span>{{localize "PF1.CMBAbbr"}}</span></a></h5>
          <span class="value">{{numberFormat system.attributes.cmb.total decimals=0 sign=true}}</span>
        </div>

        {{! Initiative }}
        <div class="info-box attribute initiative" data-attribute="initiative" data-tooltip-extended="init">
          <h5><a class="rollable"><i class="fas fa-dice"></i><span>{{localize "PF1.Initiative"}}</span></a></h5>
          <span class="value">{{numberFormat system.attributes.init.total sign=true}}</span>
        </div>
      </div>
    </div>

    {{!-- Quick Actions --}}
    <h3>{{localize "PF1.QuickActions"}}</h3>

    <ol class="quick-actions">
      {{#each quickActions}}
      <li class="item" data-item-id="{{id}}" data-type="{{type}}" data-tooltip="{{name}}">
        <img src="{{img}}">

        {{#if isCharged}}
        <charges>
        {{~#if recharging~}}
        <span class='recharge'>+{{uses}}</span>
        {{~else~}}
        <span class='remaining'>{{uses}}</span>
          {{~#if max~}}
          <span class='delimiter' >/</span ><span class='max'>{{max}}</span>
          {{~/if~}}
        {{~/if~}}
        </charges>
        {{/if}}
      </li>
      {{/each}}
    </ol>
  </div>

  {{!-- Classes --}}
  <div class="classes-body">
    <ol class="item-groups-list">
      {{#each classes}}
      <ol class="item-list" data-type="class">
        <li class="item-list-header flexrow">
          <div class="item-name">
            <h3>{{label}}</h3>
          </div>

          {{#if interface.types}}
          <div class="item-detail item-subtype">{{localize "PF1.Type"}}</div>
          {{/if}}

          <div class="item-detail item-feat-level"><span>{{localize "PF1.Level"}}</span></div>

          <div class="item-detail item-button"><span>{{localize "PF1.Action"}}</span></div>

          <div class="item-controls">
            {{#if @root.owner}}
            <a class="item-control item-create" data-tooltip="PF1.CreateItem" data-create="{{path}}">
              <i class="fas fa-plus"></i>
            </a>
            <a data-action="compendium" data-action-target="classes" data-tooltip="PF1.OpenCompendium"><i class="fas fa-folder-plus"></i></a>
            {{/if}}
          </div>
        </li>

        {{#if items.length}}
        {{#each items as |item iid|}}
        <li class="item flexrow {{#unless isCharged}}uncharged{{/unless}}" data-item-id="{{item.id}}">
          <div class="item-name rollable">
            <div class="item-image" style='background-image: url("{{item.img}}")' data-tooltip="PF1.DisplayInChat"></div>
            <h4>{{item.name}}</h4>
          </div>

          {{#if ../interface.types}}
          <div class="item-detail item-subtype">{{item.typeLabel}}</div>
          {{/if}}

          <div class="item-detail item-feat-level tooltip"
            data-tooltip-extended="item.{{item.id}}.level">
            <span>{{item.level}}</span>
          </div>

          <div class="item-detail item-button">
            {{#if @root.levelUp}}
            <button type="button" class="level-up" data-item-id="{{item.id}}">{{localize "PF1.LevelUp.Action"}}</button>
            {{/if}}
          </div>

          {{#if @root.owner}}
          <div class="item-controls">
            <a class="item-control item-edit" data-tooltip="PF1.EditItem"><i class="fas fa-edit"></i></a>
            <a class="item-control item-duplicate" data-tooltip="PF1.DuplicateItem"><i class="fas fa-copy"></i></a>
            <a class="item-control item-delete" data-tooltip="PF1.DeleteItem"><i class="fas fa-trash"></i></a>
          </div>
          {{/if}}
        </li>
        {{/each}}
        {{else}}
        <div class="flexcol info">
          <span>
            {{{labels.firstClass}}}
          </span>
        </div>
        {{/if}}
      </ol>
      {{/each}}
    </ol>
  </div>
</section>
